> ## Documentation Index
> Fetch the complete documentation index at: https://developers.luminpdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signature Request

> Returns the information of the signature request.

<Accordion title="Required scopes (OAuth 2.0)" icon="key">
  This endpoint requires one of the following scopes:

  `sign:requests.read` or `sign:requests`
</Accordion>


## OpenAPI

````yaml GET /signature_request/{signature_request_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumin API Reference
  description: >
    The Lumin API Reference provides a comprehensive set of tools to integrate
    document workflows — including editing, eSignatures, and automation — into
    your applications.


    Useful links:

    - [Document Repository](https://github.com/luminpdf/luminsign-docs)

    - [API
    Definition](https://github.com/luminpdf/luminsign-docs/blob/main/openapi.yaml)

    - [Authentication Guide](/tabs/guides/authentication/overview)
  termsOfService: https://www.luminpdf.com/terms-of-use/
  contact:
    name: API Support
    email: integration@luminpdf.com
    url: https://help.luminpdf.com
servers:
  - url: https://api.luminpdf.com/v1
    description: Production server
security: []
tags:
  - name: Signature Requests
    description: Everything about Signature Requests
  - name: Users
    description: Everything about Users
  - name: Templates
    description: Everything about Templates
  - name: Documents
    description: Everything about Documents
  - name: Workspaces
    description: Everything about Workspaces
  - name: Agreements
    description: Everything about Agreements
paths:
  /signature_request/{signature_request_id}:
    get:
      tags:
        - Signature Requests
      summary: Get Signature Request
      description: Returns the information of the signature request.
      parameters:
        - in: path
          name: signature_request_id
          schema:
            type: string
          required: true
          description: ID of the signature request.
      responses:
        '200':
          description: Returns the information of the signature request.
          content:
            application/json:
              schema:
                type: object
                required:
                  - signature_request
                properties:
                  signature_request:
                    $ref: '#/components/schemas/SignatureRequest'
                    description: Contains information about a signature request.
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKey: []
        - BearerAuth:
            - sign:requests.read
        - BearerAuth:
            - sign:requests
components:
  schemas:
    SignatureRequest:
      type: object
      required:
        - signature_request_id
        - title
        - created_at
        - expires_at
        - details_url
        - status
        - signers
        - signing_type
      properties:
        signature_request_id:
          type: string
          description: The unique identifier for the signature request.
        title:
          type: string
          description: The title of the signature request.
        created_at:
          type: string
          description: The time the signature request was created.
        updated_at:
          type: string
          description: The time the signature request was last updated.
        expires_at:
          type: string
          description: The time the signature request will expire.
        details_url:
          type: string
          description: The url to view the signature request in the browser.
        status:
          type: string
          description: The status of the signature request.
          enum:
            - NEED_TO_SIGN
            - WAITING_FOR_OTHERS
            - APPROVED
            - REJECTED
            - WAITING_FOR_PROCESSING
            - FAILED
            - CANCELLED
        reason:
          type: string
          description: >-
            The reason for the status FAILED or REJECTED of the signature
            request.
        signing_type:
          type: string
          description: Recipient signing flow.
          enum:
            - SAME_TIME
            - ORDER
        signers:
          type: array
          items:
            properties:
              email_address:
                type: string
                description: Email address of the signer.
              name:
                type: string
                description: Name of the signer.
              group:
                type: number
                description: >
                  The signing order of signer for the signature request with
                  `signing_type` is `ORDER`. Required if `signing_type` is
                  `ORDER`.


                  Only signers in `1st Signers` group will receive
                  email/notification, signers in subsequent groups will receive
                  email/notification when all signers in previous group has
                  signed.


                  Group starts incrementing at 1.


                  The default value for group always is 1 if `signing_type` is
                  `SAME_TIME.`
              is_approved:
                type: boolean
                description: Whether the signer has approved the signature request.
              status:
                type: string
                description: The status of the Signer.
                enum:
                  - NEED_TO_SIGN
                  - APPROVED
                  - WAITING_FOR_OTHERS
                  - REJECTED
                  - FAILED
                  - WAITING_FOR_PROCESSING
          description: The signers of the signature request.
    Error:
      type: object
      required:
        - error_code
        - error_message
      properties:
        error_code:
          type: string
          description: The system error code.
        error_message:
          type: string
          description: The human-readable error message.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: >
        Provide your API key in the `X-API-Key` header, e.g., `X-API-Key:
        YOUR_API_KEY`.
    BearerAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.luminpdf.com/oauth2/auth
          tokenUrl: https://auth.luminpdf.com/oauth2/token
          scopes:
            openid: >-
              Retrieve basic identity details (username, email, profile
              picture).
            offline_access: Request a refresh token for long-lived access. Private apps only.
            profile.read: View basic user profile information.
            workspaces: View and manage Workspaces and Spaces.
            workspaces.read: View information about the authenticated user's Workspace.
            templates: View and manage templates in a Workspace.
            pdf:files: Create, edit, and delete PDF files in a Workspace.
            pdf:files.read: Retrieve PDF documents stored in a Workspace.
            sign:requests: Create, update, or view signature requests.
            sign:requests.read: Retrieve signature requests.
            agreements: Create, update, or delete AgreementGen documents.
      description: >
        OAuth 2.0 authorization code flow. Provide your access token in the
        `Authorization` header, e.g., `Authorization: Bearer <token>`. See the
        [OAuth 2.0 guide](/tabs/guides/authentication/oauth2) for details.

````